FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::parser::ExecutableConstruct Struct Reference

## Public Member Functions
| UNION_CLASS_BOILERPLATE (ExecutableConstruct)

## Public Attributes
std::variant< Statement< ActionStmt >, common::Indirection< AssociateConstruct >, common::Indirection< BlockConstruct >, common::Indirection< CaseConstruct >, common::Indirection< ChangeTeamConstruct >, common::Indirection< CriticalConstruct >, Statement< common::Indirection< LabelDoStmt > >, Statement< common::Indirection< EndDoStmt > >, common::Indirection< DoConstruct >, common::Indirection< IfConstruct >, common::Indirection< SelectRankConstruct >, common::Indirection< SelectTypeConstruct >, common::Indirection< WhereConstruct >, common::Indirection< ForallConstruct >, common::Indirection< CompilerDirective >, common::Indirection< OpenACCConstruct >, common::Indirection< OpenMPConstruct >, common::Indirection< OmpEndLoopDirective > > | u

The documentation for this struct was generated from the following file:

- include/flang/Parser/parse-tree.h